Skip to content
Go to Micro

Find a record by property value

GET/v2/prism/{teamId}/contact/by/{slug}/{value}

Returns the single record whose property {slug} equals {value}. 404 if nothing matches; 409 if more than one record matches.

Path ParametersExpand Collapse
teamId: optional string
formatuuid
slug: string
value: string
Query ParametersExpand Collapse
list_id: optional string

Scope the lookup to a specific list/app.

formatuuid
ReturnsExpand Collapse
id: string
formatuuid
default: optional map[unknown]

Properties keyed by property slug.

list: optional unknown

Find a record by property value

curl https://developers.micro.so/v2/prism/$TEAM_ID/contact/by/$SLUG/$VALUE \
    -H "x-api-key: $MICRO_API_KEY"
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}